Bug 96952 - FILEOPEN: Doesn't open XLS spreadsheets forms, BASIC error
Summary: FILEOPEN: Doesn't open XLS spreadsheets forms, BASIC error
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls
Depends on:
Blocks: Macro-VBA XLS
  Show dependency treegraph
 
Reported: 2016-01-07 20:02 UTC by Klaibson Ribeiro
Modified: 2019-02-17 00:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet For Example (1.27 MB, application/vnd.ms-excel)
2016-01-07 20:02 UTC, Klaibson Ribeiro
Details
error message from excel2010 (8.79 KB, image/png)
2016-01-08 20:22 UTC, raal
Details
BASIC systax error (105.41 KB, image/jpeg)
2016-01-15 19:31 UTC, Timur
Details
Spreadsheet fixed parentheses, saved as .xls in MSO 2010 (1.17 MB, application/ms-excel)
2017-03-08 16:35 UTC, Timur
Details
Spreadsheet fixed parentheses, saved as .xlsm in MSO 2010 (598.92 KB, application/vnd.ms-excel.sheet.macroenabled.12)
2017-03-08 16:36 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Klaibson Ribeiro 2016-01-07 20:02:27 UTC
Created attachment 121786 [details]
Spreadsheet For Example

Were created three spreadsheets in MS Excel 2007 have forms, but when they are opened in LibreOffice Calc 5.0.3, only forms are not enabled.
Comment 1 raal 2016-01-08 20:22:30 UTC Comment hidden (obsolete)
Comment 2 Buovjaga 2016-01-15 15:37:11 UTC
Opens ok in MSO 2013.

LibreOffice somehow goes into an endless loop.

Win 8.1 32-bit
Version: 5.2.0.0.alpha0+
Build ID: f0841c6c86c8c8403eb1d78a1bd43a8adac75e3a
CPU Threads: 4; OS Version: Windows 6.29; UI Render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-15_00:01:41
Locale: fi-FI (fi_FI)
Comment 3 Buovjaga 2016-01-15 19:24:16 UTC
Klaibson: can you add a screenshot of how it looks like in LibreOffice?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the screenshot.
Comment 4 Timur 2016-01-15 19:27:48 UTC
Cannot open with Office 2013 in Win 8.1 64-bit, compile error: the code must be updated for use on 64-bit system.
Can open with Office 2010 32-bit in Win 7 64-bit.
Can open with LO 5.0.4 and close with Disable Macros (document without forms). 
But, Enable Macros shows BASIC syntax error. Also, LO crashes after being closed in that case. So, I'll confirm a bug. I guess LO supports XLS forms.
Cannot open with LO 5.2+. Bug reported.
Comment 5 Timur 2016-01-15 19:31:32 UTC
Created attachment 121961 [details]
BASIC systax error
Comment 6 Julien Nabet 2016-01-16 09:43:39 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce the problem.
I noticed that there was a pb with double quotes.
There's this:
controle.Text = “”
instead of this:
controle.Text = ""
Comment 7 QA Administrators 2017-03-06 14:26:49 UTC Comment hidden (obsolete)
Comment 8 Timur 2017-03-08 16:34:44 UTC
OO didn't give an error but there were no forms. BASIC error exists from 3.3 up to now. As Julien noticed, it's an issue with parentheses. 
I'll attached fixed spreadsheets, .xls and .xlsm. They also suffer from Bug 97157 so open slow, but they show forms. 
They don't seem to be fully supported, if you try to select different buttons. And eventually .xls gives error on "Dim xls As New Excel.Application, Dim ctrl As Excel.Workbook".
Please test.
Comment 9 Timur 2017-03-08 16:35:45 UTC
Created attachment 131755 [details]
Spreadsheet fixed parentheses, saved as .xls in MSO 2010
Comment 10 Timur 2017-03-08 16:36:07 UTC
Created attachment 131756 [details]
Spreadsheet fixed parentheses, saved as .xlsm in MSO 2010
Comment 12 QA Administrators 2018-03-09 03:46:15 UTC Comment hidden (obsolete)
Comment 13 mdgalloway425 2018-05-04 19:01:10 UTC
I closed spreadsheet & tried to open it quickly after closing.  Now no component of LibreOffice will open at all.  Running Windows7 PRO, 64bit, and LibreOffice 5.2.
Comment 14 Buovjaga 2018-05-04 19:18:47 UTC
(In reply to mdgalloway425 from comment #13)
> I closed spreadsheet & tried to open it quickly after closing.  Now no
> component of LibreOffice will open at all.  Running Windows7 PRO, 64bit, and
> LibreOffice 5.2.

Please open a new bug report for this.

But first: install version 6.0. If the problem continues in 6.0, try launching it in Safe mode https://wiki.documentfoundation.org/UserProfile#Resolving_corruption